Get processor transaction history
curl --request GET \
--url https://olive-gateway-a6ba.onrender.com/api/v1/processors/{id}/transactions \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://olive-gateway-a6ba.onrender.com/api/v1/processors/{id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://olive-gateway-a6ba.onrender.com/api/v1/processors/{id}/transactions"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){}{}{}{}Processors
Processor Transactions
Get processor transaction history
GET
/
processors
/
{id}
/
transactions
Get processor transaction history
curl --request GET \
--url https://olive-gateway-a6ba.onrender.com/api/v1/processors/{id}/transactions \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://olive-gateway-a6ba.onrender.com/api/v1/processors/{id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://olive-gateway-a6ba.onrender.com/api/v1/processors/{id}/transactions"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){}{}{}{}Get Processor Transactions
Retrieve transaction history for a processor account.Endpoint
GET /api/v1/processors/:id/transactions
Authentication
string
required
Bearer token (Processor or Admin JWT)
Path Parameters
string
required
Processor UUID
Query Parameters
integer
default:"20"
Results per page (max 100)
integer
default:"0"
Pagination offset
Response
{
"success": true,
"transactions": [
{
"id": "txn_abc123",
"type": "pos_payment",
"amount": "150.00 SLE",
"fee": "1.50 SLE",
"status": "completed",
"subscriber_id": "sub_xyz789",
"created_at": "2025-01-15T10:30:00Z"
}
],
"total_count": 500,
"message": "Transactions retrieved successfully"
}
Errors
| Code | Description |
|---|---|
| 400 | Invalid request |
| 404 | Processor not found |
| 401 | Unauthorized |
Authorizations
JWT token from admin login for administrative operations. Format: 'Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...'
Path Parameters
Processor ID
Query Parameters
Number of transactions to return (default: 20, max: 100)
Offset for pagination (default: 0)
Response
Transaction history retrieved
The response is of type object.
⌘I